Bug 241694 - remove XORG_CAT compat shim from bsd.port.mk
Summary: remove XORG_CAT compat shim from bsd.port.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Package Infrastructure (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Niclas Zeising
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-03 22:00 UTC by Niclas Zeising
Modified: 2019-11-06 12:01 UTC (History)
0 users

See Also:


Attachments
v1 (568 bytes, text/plain)
2019-11-03 22:00 UTC, Niclas Zeising
no flags Details
v2 (1.47 KB, patch)
2019-11-04 12:28 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Niclas Zeising freebsd_committer 2019-11-03 22:00:11 UTC
Created attachment 208830 [details]
v1

All ports have been switched to use USES=xorg-cat, so the old XORG_CAT fallback from bsd.port.mk can be removed.  See attachement from patch.
I've run this locally several times (for all ports that set USES=xorg-cat or XORG_CAT), there is no need for an exp-run, I think.
I hope to get approval to commit.
Thanks!
Comment 1 Mathieu Arnold freebsd_committer 2019-11-04 11:20:18 UTC
Any removed variable needs to be added to bsd.sanity.mk.
Comment 2 Niclas Zeising freebsd_committer 2019-11-04 12:28:18 UTC
Created attachment 208853 [details]
v2

Updated patch with additions to bsd.sanity.mk.
Comment 3 Niclas Zeising freebsd_committer 2019-11-04 12:30:28 UTC
For some reason I can't mark v1 as obsolete, sorry.
Comment 4 Mathieu Arnold freebsd_committer 2019-11-04 15:33:37 UTC
Looks fine by me, not sure an exp-run is required either.
Comment 5 commit-hook freebsd_committer 2019-11-04 18:09:16 UTC
A commit references this bug:

Author: zeising
Date: Mon Nov  4 18:08:21 UTC 2019
New revision: 516730
URL: https://svnweb.freebsd.org/changeset/ports/516730

Log:
  Retire XORG_CAT

  Retire XORG_CAT, it is not needed since all ports has moved to use
  USES=xorg-cat.
  Add a check to bsd.sanity.mk causing an error if any port happens to set it
  in the future.

  PR:		241694
  Approved by:	portmgr (mat)

Changes:
  head/Mk/bsd.port.mk
  head/Mk/bsd.sanity.mk
Comment 6 Niclas Zeising freebsd_committer 2019-11-04 20:54:54 UTC
Leave this open for a day or two in case there's fallout.
Comment 7 Niclas Zeising freebsd_committer 2019-11-06 12:01:55 UTC
A full package build run has been done since this was committed, with no fallout, so closing this.